.ani {
  transition: all 0.8s;
}
.ani.down {
  transform: translateY(-80px);
}
.ani.up {
  transform: translateY(80px);
}
.ani.left {
  transform: translateX(80px);
}
.ani.right {
  transform: translateX(-80px);
}
.ani.opacity {
  opacity: 0;
}
.ani.on.down, .ani.on.up {
  transform: translateY(0);
}
.ani.on.left, .ani.on.right {
  transform: translateX(0);
}
.ani.on.opacity {
  opacity: 1;
}

.color-m {
  color: var(--color-main) !important;
}

.text-fill {
  position: relative;
}
.text-fill::before {
  content: attr(data-name);
  width: 0;
  white-space: nowrap;
  overflow: hidden;
  transition: all 1s;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}
.text-fill.on::before {
  width: 100%;
}

.more {
  display: inline-flex;
  align-items: center;
  column-gap: 2px;
}
.more * {
  transition: all 0.6s;
}
.more span {
  color: #ccc;
  font-size: 1.8rem;
  font-weight: 500;
  line-height: 1;
}
.more .rhombus {
  width: 30px;
  height: 30px;
  transform: scale(0.5);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
.more .rhombus::before {
  background: #ccc;
  border-radius: 4px;
  transition: all 0.6s;
}
.more .rhombus img {
  transform: scale(0);
}
.more:hover span {
  color: var(--color-main);
}
.more:hover .rhombus,
.more:hover .rhombus img {
  transform: scale(1);
}
.more:hover .rhombus::before {
  background: var(--color-main);
}

.rhombus,
.hover-rhombus {
  position: relative;
}
.rhombus::before,
.hover-rhombus::before {
  content: "";
  display: block;
  position: absolute;
  z-index: -1;
}

.rhombus::before {
  width: 70%;
  height: 70%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
}

.hover-rhombus {
  overflow: hidden;
}
.hover-rhombus::before {
  background: var(--color-main);
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
  transition: all 0.8s;
}
.hover-rhombus.invert {
  background: var(--color-main);
}
.hover-rhombus.invert::before {
  background: var(--color-white);
  z-index: 0;
}
.hover-rhombus.invert::after {
  content: "";
  display: block;
  width: calc(100% - 4px);
  height: calc(100% - 4px);
  border: 2px solid transparent;
  transition: all 0.6s 0.6s;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.hover-rhombus.invert * {
  position: relative;
}
.hover-rhombus.invert:hover::after {
  border-color: var(--color-main);
  transition: all 0.6s 0s;
}
.hover-rhombus:hover::before {
  left: 0;
}

@media (max-width: 1200px) {
  .more span {
	font-size: 1.7rem;
  }
  .more .rhombus {
	width: 24px;
	height: 24px;
  }
}

@media (max-width: 640px) {
  .more span {
	font-size: 1.5rem;
  }
}